﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class combobox_854621_combo_in_window_v1_Default : System.Web.UI.Page
{
	private const int ItemsPerRequest = 10;

    protected void Page_Load(object sender, EventArgs e)
    {

    }
	private static string GetStatusMessage(int offset, int total)
	{
		if (total <= 0)
			return "No matches";

		return String.Format("Items <b>1</b>-<b>{0}</b> out of <b>{1}</b>", offset, total);
	}

	private static DataTable GetData(string text)
	{
		SqlDataAdapter adapter = new SqlDataAdapter("SELECT * from Customers WHERE CompanyName LIKE @text + '%'",
			 ConfigurationManager.ConnectionStrings["NorthwindConnectionString"].ConnectionString);
		adapter.SelectCommand.Parameters.AddWithValue("@text", text);

		DataTable data = new DataTable();
		adapter.Fill(data);

		return data;
	}

	protected void Unnamed_ItemsRequested(object sender, Telerik.Web.UI.RadComboBoxItemsRequestedEventArgs e)
	{
		DataTable data = GetData(e.Text);

		int itemOffset = e.NumberOfItems;
		int endOffset = Math.Min(itemOffset + ItemsPerRequest, data.Rows.Count);
		e.EndOfItems = endOffset == data.Rows.Count;

		for (int i = itemOffset; i < endOffset; i++)
		{
			RadComboBox1.Items.Add(new RadComboBoxItem(data.Rows[i]["CompanyName"].ToString(), data.Rows[i]["CompanyName"].ToString()));
		}

		e.Message = GetStatusMessage(endOffset, data.Rows.Count);
	}
}